# Uses of Interface
org.eclipse.birt.report.engine.api.IRunTask

Packages that use IRunTask
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IRunTask in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return IRunTask
Modifier and Type
Method
Description
`IRunTask`
IReportEngine.`createRunTask(IReportRunnable reportRunnable)`
Creates a task to run a report to generate a report document.
`IRunTask`
ReportEngine.`createRunTask(IReportRunnable reportRunnable)`
creates a task to run a report to generate a report document